Matter.use('matter-wrap'); // setup wrap coordinates plugin

let ball;
let importedShapes = [];

function setup() {
  const canvas = createCanvas(1280, 720);

  // create an engine
  const engine = Matter.Engine.create();
  const world = engine.world;

  // ball
  const wrap = {
      min: { x: 0, y: 0 },
      max: { x: width, y: height }
  };

  // add elements through SVG
  new BlocksFromSVG(world, "collision_shape_1.svg", importedShapes,
  { isStatic: true });
  console.log(importedShapes);

  ball = new Ball(world,
    { x: 369, y: 44, r: 31, color: 'white' },
    { friction: 0.01, plugin: { wrap: wrap } }
  );

  // setup mouse
  mouse = new Mouse(engine, canvas);

  // run the engine
  Matter.Runner.run(engine);
}

function draw() {
  background(210);

  ball.draw();
  mouse.draw();
  
  importedShapes.forEach((importedShape) => {
  	importedShape.draw();
  })
}
